Skip to main content
PUT
/
audience
/
update
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
    "audience_name": "Demo Audience - Q1",
    "audience_description": "Qualified leads"
}

response = client.audience.update(**payload)
print(response)
{
  "message": "Audience updated successfully",
  "audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
  "audience_name": "Demo Audience - Q1",
  "audience_description": "Qualified leads"
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Update audience.

Audience Update Request schema.

audience_id
string
required

Audience ID

Example:

"597b3dde-9169-4017-800d-f97a5fabebe3"

audience_name
string
required

Updated audience name

Example:

"Demo Audience - Q1"

audience_description
string

Updated description

Example:

"Qualified leads"

Response

Audience updated

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.